# Get Users

> Source: https://truto.one/docs/api-reference/unified-ticketing-api/users/get/

`GET /unified/ticketing/users/{id}`

Resource: **Users** · API: **Unified Ticketing API**

## Supported integrations

Asana, Azure DevOps, BMC Helix, ClickUp, Dixa, Freshchat, Freshdesk, Front, FuseDesk, Gladly, Gorgias, Help Scout, Hive, HubSpot, Intercom, Jira, Jira Service Management, Kustomer, LiveAgent, Microsoft 365, Microsoft Planner, Pivotal Tracker, Planhat, Podium, Puzzel Case Management, Qualtrics CoreXM, Richpanel, Salesforce, ServiceNow, SolarWinds Service Desk, Superchat, SurveySparrow Ticket Management, Teamwork Project Management, Trengo, Wrike, Zendesk, Zoho Desk, Zoho Projects

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`team_id`** _(unknown)_
- **`collections`** _(array<object>)_
  Collection with type project is required.
- **`organization`** _(object)_

## Response body

- **`id`** _(string, required)_
  The user's unique identifier
- **`name`** _(string, required)_
  The user's name
- **`first_name`** _(string)_
  The user's first name
- **`last_name`** _(string)_
  The user's last name
- **`username`** _(string)_
  The user's username
- **`emails`** _(array<object>)_
  The user's email addresses
  - **`email`** _(string, required)_
    The user's email address
  - **`type`** _(string)_
    The type of email address
- **`is_active`** _(boolean)_
  Whether the user is active or not
- **`team_ids`** _(array<string>)_
  The IDs of the teams the user is a member of
- **`avatar`** _(string)_
  The URL of the user's avatar
- **`roles`** _(array<object>)_
  The roles the user has
  - **`id`** _(string)_
    The role's unique identifier
  - **`name`** _(string)_
    The role's name
- **`created_at`** _(string)_
  The date and time the user was created
- **`updated_at`** _(string)_
  The date and time the user was last updated
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/ticketing/users/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ticketing/users/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/ticketing/users/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ticketing',
  'users',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ticketing",
        "users",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
